﻿<?xml version="1.0"?>
<scpd xmlns="urn:Belkin:service-1-0">

  <specVersion>
    <major>1</major>
    <minor>0</minor>
  </specVersion>
  
  <actionList>
  
    <action>
      <name>SetBinaryState</name>
      <argumentList>
         <argument>
           <retval />
           <name>BinaryState</name>
           <relatedStateVariable>BinaryState</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>Duration</name>
           <relatedStateVariable>Duration</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>EndAction</name>
           <relatedStateVariable>EndAction</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>UDN</name>
           <relatedStateVariable>UDN</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>CountdownEndTime</name>
           <relatedStateVariable>CountdownEndTime</relatedStateVariable>
           <direction>out</direction>
          </argument>
         <argument>
           <retval />
           <name>deviceCurrentTime</name>
           <relatedStateVariable>deviceCurrentTime</relatedStateVariable>
           <direction>out</direction>
          </argument>
      </argumentList>
    </action>

    <action>
      <name>SetLogLevelOption</name>
      <argumentList>
         <argument>
           <retval />
           <name>Level</name>
           <relatedStateVariable>Level</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>Option</name>
           <relatedStateVariable>Option</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>

    <action>
      <name>GetFriendlyName</name>
  	  <argumentList>
      <argument>
      <retval />
      <name>FriendlyName</name>
      <relatedStateVariable>FriendlyName</relatedStateVariable>
      <direction>in</direction>
       </argument>
       </argumentList>
    </action>
    <action>
      <name>ReSetup</name>
      <argumentList>
         <argument>
           <retval />
           <name>Reset</name>
           <relatedStateVariable>Reset</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
	<action>
      <name>SetHomeId</name>
      <argumentList>
         <argument>
           <retval />
           <name>HomeId</name>
           <relatedStateVariable>HomeId</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
	<action>
      <name>GetHomeId</name>
    </action>
    <action>
      <name>GetHomeInfo</name>
      <argumentList>
 	<retval />
           <name>GetHomeInfo</name>
           <relatedStateVariable>HomeInfo</relatedStateVariable>
           <direction>out</direction>
      </argumentList>
    </action>
	<action>
      <name>SetDeviceId</name>
      <argumentList>
         <argument>
           <retval />
           <name>SetDeviceId</name>
           <relatedStateVariable>DeviceId</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
    <action>
      <name>GetDeviceId</name>
    </action>
	 <action>
      <name>GetMacAddr</name>
    </action>
    <action>
      <name>GetSerialNo</name>
    </action>
    <action>
      <name>GetPluginUDN</name>
    </action>
    <action>
      <name>GetSmartDevInfo</name>
    </action>
    <action>
      <name>ShareHWInfo</name>
      <argumentList>
         <argument>
           <retval />
           <name>Mac</name>
           <relatedStateVariable>Mac</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>Serial</name>
           <relatedStateVariable>Serial</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>Udn</name>
           <relatedStateVariable>Udn</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>RestoreState</name>
           <relatedStateVariable>RestoreState</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>HomeId</name>
           <relatedStateVariable>HomeId</relatedStateVariable>
           <direction>in</direction>
          </argument>
         <argument>
           <retval />
           <name>PluginKey</name>
           <relatedStateVariable>PluginKey</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
    <action>
      <name>ChangeFriendlyName</name>
      <argumentList>
         <argument>
           <retval />
           <name>FriendlyName</name>
           <relatedStateVariable>FriendlyName</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
	
    <action>
      <name>SetSmartDevInfo</name>
      <argumentList>
         <argument>
           <retval />
           <name>SmartDevURL</name>
           <relatedStateVariable>SmartDevURL</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
	<action>
      <name>GetRuleOverrideStatus</name>
      <argumentList>
         <argument>
           <retval />
           <name>RuleOverrideStatus</name>
           <relatedStateVariable>RuleOverrideStatus</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>

	<action>
      <name>GetDeviceIcon</name>
      <argumentList>
         <argument>
           <retval />
           <name>DeviceIcon</name>
           <relatedStateVariable>DeviceIcon</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>

	<action>
      <name>GetIconURL</name>
      <argumentList>
      <argument>
      <retval />
	<name>URL</name>
	<relatedStateVariable>URL</relatedStateVariable>
	<direction>out</direction>
	</argument>
      </argumentList>
    </action>
	
	<action>
      <name>GetLogFileURL</name>
      <argumentList>
      <argument>
      <retval />
	<name>LOGURL</name>
	<relatedStateVariable>LOGURL</relatedStateVariable>
	<direction>out</direction>
	</argument>
      </argumentList>
    </action>

	<action>
      <name>ChangeDeviceIcon</name>
      <argumentList>
         <argument>
           <retval />
           <name>PictureSize</name>
           <relatedStateVariable>PictureSize</relatedStateVariable>
           <direction>in</direction>
          </argument>
		  <argument>
           <retval />
           <name>PictureHeight</name>
           <relatedStateVariable>PictureWidth</relatedStateVariable>
           <direction>in</direction>
          </argument>
		  
		  <argument>
           <retval />
           <name>PictureColorDeep</name>
           <relatedStateVariable>PictureColorDeep</relatedStateVariable>
           <direction>in</direction>
          </argument>
      </argumentList>
    </action>
  
    <action>
    <name>GetBinaryState</name>
    <argumentList>
    <argument>
    <retval/>
    <name>BinaryState</name>
    <relatedStateVariable>BinaryState</relatedStateVariable>
    <direction>out</direction>
    </argument>
    </argumentList>
    </action>
	
	<action>
      <name>SetMultiState</name>
      <argumentList>
         <argument>
           <retval />
           <name>state</name>
           <relatedStateVariable>StateList</relatedStateVariable>
           <direction>in</direction>
          </argument>

		  <argument>
           <retval />
           <name>state</name>
           <relatedStateVariable>StateList</relatedStateVariable>
           <direction>in</direction>
          </argument>		  
	
         <argument>
           <retval />
           <name>state</name>
           <relatedStateVariable>StateList</relatedStateVariable>
           <direction>in</direction>
          </argument>
		  
      </argumentList>
    </action>
	
	<action>
          <name>SetJardenStatus</name>
          <argumentList>
              <argument>
                  <retval />
                  <name>mode</name>
                  <relatedStateVariable>mode</relatedStateVariable>
                  <direction>in</direction>
              </argument>
              <argument>
                  <retval />
                  <name>time</name>
                  <relatedStateVariable>timeVariable</relatedStateVariable>
                  <direction>in</direction>
              </argument>
          </argumentList>
      </action>

    <action>
          <name>GetJardenStatus</name>
          <argumentList>
              <argument>
                  <retval />
                  <name>mode</name>
                  <relatedStateVariable>mode</relatedStateVariable>
                  <direction>out</direction>
              </argument>
              <argument>
                  <retval />
                  <name>time</name>
                  <relatedStateVariable>timeVariable</relatedStateVariable>
                  <direction>out</direction>
              </argument>
              <argument>
                  <retval />
                  <name>startTime</name>
                  <relatedStateVariable>timeVariable</relatedStateVariable>
                  <direction>out</direction>
              </argument>
          </argumentList>
      </action>
	
    <action>
      <name>GetWatchdogFile</name>
      <argumentList>
        <argument>
          <retval />
            <name>WDFile</name>
            <relatedStateVariable>WDFile</relatedStateVariable>
            <direction>out</direction>
        </argument>
      </argumentList>
    </action>

    <action>
      <name>GetSignalStrength</name>
      <argumentList>
        <argument>
          <retval />
            <name>SignalStrength</name>
            <relatedStateVariable>SignalStrength</relatedStateVariable>
            <direction>in</direction>
        </argument>
      </argumentList>
    </action>

    <action>
      <name>SetServerEnvironment</name>
      <argumentList>
        <argument>
          <retval />
            <name>ServerEnvironment</name>
            <relatedStateVariable>ServerEnvironment</relatedStateVariable>
            <direction>in</direction>
        </argument>
        <argument>
          <retval />
            <name>TurnServerEnvironment</name>
            <relatedStateVariable>TurnServerEnvironment</relatedStateVariable>
            <direction>in</direction>
        </argument>
	<argument>
          <retval />
            <name>ServerEnvironmentType</name>
            <relatedStateVariable>ServerEnvironmentType</relatedStateVariable>
            <direction>in</direction>
        </argument>
      </argumentList>
    </action>

    <action>
      <name>GetServerEnvironment</name>
      <argumentList>
        <argument>
          <retval/>
            <name>ServerEnvironment</name>
            <relatedStateVariable>ServerEnvironment</relatedStateVariable>
            <direction>out</direction>
        </argument>
        <argument>
          <retval/>
            <name>TurnServerEnvironment</name>
            <relatedStateVariable>TurnServerEnvironment</relatedStateVariable>
            <direction>out</direction>
        </argument>
        <argument>
          <retval/>
            <name>ServerEnvironmentType</name>
            <relatedStateVariable>ServerEnvironmentType</relatedStateVariable>
            <direction>out</direction>
        </argument>
      </argumentList>
    </action>

    <action>
	<name>GetIconVersion</name>
	<argumentList>
	    <argument>
		<retval />
		<name>IconVersion</name>
		<relatedStateVariable>IconVersion</relatedStateVariable>
		<direction>out</direction>
	    </argument>
	</argumentList>
    </action>

    <action>
      <name>GetSimulatedRuleData</name>
      <argumentList>
        <argument>
          <name>UDN</name>
          <direction>in</direction>
          <relatedStateVariable>UDN</relatedStateVariable>
        </argument>
        <argument>
          <name>RuleData</name>
          <relatedStateVariable>RuleData</relatedStateVariable>
          <direction>out</direction>
        </argument>
      </argumentList>
    </action>

    <action>
      <name>NotifyManualToggle</name>
      <argumentList>
        <argument>
          <name>UDN</name>
          <direction>in</direction>
          <relatedStateVariable>UDN</relatedStateVariable>
        </argument>
        <argument>
          <name>ManualToggle</name>
          <relatedStateVariable>ManualToggle</relatedStateVariable>
          <direction>out</direction>
        </argument>
      </argumentList>
    </action>

    <action>
      <name>ControlCloudUpload</name>
      <argumentList>
        <argument>
          <name>EnableUpload</name>
          <direction>in</direction>
          <relatedStateVariable>EnableUpload</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
</actionList>

  <serviceStateTable>
  
    <stateVariable sendEvents="yes">
      <name>BinaryState</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	
	<stateVariable sendEvents="yes">
      <name>mode</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
    
    <stateVariable sendEvents="yes">
      <name>time</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
    
    <stateVariable sendEvents="yes">
      <name>startTime</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	
    <stateVariable sendEvents="yes">
      <name>level</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>option</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

	<stateVariable sendEvents="yes">
      <name>Reset</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>

    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>FriendlyName</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	
	<stateVariable sendEvents="yes">
      <name>HomeId</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>DeviceId</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>SmartDevInfo</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>MacAddr</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>SerialNo</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

	<stateVariable sendEvents="yes">
      <name>PluginUDN</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
	<stateVariable sendEvents="yes">
      <name>DeviceIcon</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
  
    <stateVariable sendEvents="No">
      <name>StateList</name>
      <dataType>list</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>
  <stateVariable sendEvents="yes">
      <name>URL</name>
	  <dataType>string</dataType>
	  <defaultValue>0</defaultValue>
  </stateVariable>
						
	<stateVariable sendEvents="yes">
      <name>RuleOverrideStatus</name>
	  <dataType>string</dataType>
	  <defaultValue>0</defaultValue>
  </stateVariable>
						
    <stateVariable sendEvents="yes">
      <name>WDFile</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>SignalStrength</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>ServerEnvironment</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>TurnServerEnvironment</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

  <stateVariable sendEvents="yes">
      <name>ServerEnvironmentType</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>IconVersion</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="no">
      <name>Duration</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="no">
      <name>EndAction</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="no">
      <name>UDN</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>RuleData</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>ManualToggle</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>CountdownEndTime</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>deviceCurrentTime</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

    <stateVariable sendEvents="yes">
      <name>EnableUpload</name>
      <dataType>string</dataType>
      <defaultValue>0</defaultValue>
    </stateVariable>

  </serviceStateTable>
  
  </scpd>
